Subject: Re: looking for cygnus compatible perl
From: [email-masked] (Christopher Faylor)

19 Dec 1997 20:57:39 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

If you're using my patches and Sergey's coolview, there should be no
reason to #ifdef or #define anything.

The main problems that people seem to be having are:

1) They extract the perl files, read the README.cygwin, install my patch,
   and do the operations in the README.  Unfortunately, my patch changes
   the README, so they're following old instructions.

2) They do not extract the perl files to a 'binary' mounted directory and
   the patch does not proceed correctly.  Or, B18 patch screws up so
   they need to grab and build a new version of patch.

3) Most important:  Many people do not have all of the environment variables
   set up correctly to compile and link C programs.

I have had a number of success stories so I am pretty sure that my patch
is correct.  I think it is just a matter of making sure that the above
details have been covered.

In article <[email-masked]>,
Earnie Boyd <[email-masked]> wrote:
>I compiled the Perl package without much ado.  When the compiler 
>complained I either #ifdef'ed or #define'd the problems.  Be sure to 
>look at the configure --help and make a determination about switches.  I 
>did not compile the utilites just perl.
>
>>From: "Jon S. Jaques" <[email-masked]>
>
>>Personally, I can compile a simple file,
>>program1.cpp ("hello world") with *g++* but NOT
>>gcc (a friend suggested that the file was a
>>"plus-plus" and that gcc is not, but I don't
>>really know much about either... my primary reason
>>for this thing is just to get the new Perl
>>compiled on my system to open up some options in
>>my Perl programming... one language at a time, ple
>>ase! <grin>)
>>
>>Please, if you have no luck, then lets' continue
>>this dialogue-- I'd really like to get this
>>resolved.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".